Ext.define('go.modules.business.business.BusinessDialog',{
	extend: go.form.Dialog,
	
	stateId: 'business-DialogForm',
	title: t('Business'),
	entityStore: "Business",
	// autoHeight: true,
	height: dp(800),
	width: dp(500),
	initFormItems: function () {

		this.addPanel(new go.permissions.SharePanel());

		return [{
			xtype: 'fieldset',
			items: [new go.modules.community.addressbook.ContactCombo({
				hiddenName: 'contactId',
				fieldLabel: t('Organization', 'addressbook', 'community'),
				isOrganization: true,
				listeners: {
					'select':function(combo, record, index){
						this.nameField.setValue(record.data.name);
					},
					scope:this
				}
			}),this.nameField = new Ext.form.TextField({
				name: 'name',
				fieldLabel: t("Name"),
				anchor: '100%',
				required: true
			}),{
				xtype: 'numberfield',
				name: 'hourlyRevenue',
				fieldLabel: t("Hourly revenue"),
				anchor: '100%',
				required: true,
				value: 0
			},{
				xtype: "fieldset",
				title: t("VAT rates"),
				items: [
					{
						sortable: true,
						xtype: "formgroup",
						name: "vatRates",

						value: [{
							id: null,
							name: t("Standard"),
							rate: "21"
						}],

						itemCfg: {
							xtype: "formcontainer",

							layout: "form",
							cls: "go-hbox condensed-form",
								items: [{
									xtype: "hidden",
									name: "id" //for keeping records
								}, {
									flex: 4,
									xtype: "textfield",
									allowBlank: false,
									name: "name",
									fieldLabel: t("Name")
								}, {
									flex: 2,
									name: "rate",
									xtype: "gonumberfield",
									value: 0,
									fieldLabel: t("Rate")
								}]

						}
					}
				]
			},{
				xtype: "fieldset",
				title: t("Finance categories"),
				items: [
					{
						xtype: "formgroup",
						name: "categories",
						value: [
							{
								name: t("Hours"),
								isHours: true
							},{
								name: t("Materials"),
								isHours: false
							},{
								name: t("Services"),
								isHours: false
							}
						],
						itemCfg: {
							xtype: "formcontainer",
							layout: "form",
							cls: "go-hbox",
							items: [{
								xtype: "hidden",
								name: "id" //for keeping records
							}, {
								flex: 4,
								xtype: "textfield",
								allowBlank: false,
								name: "name",
								fieldLabel: t("Name")
							},{
								flex: 2,
								xtype: "checkbox",
								name: "isHours",
								fieldLabel: t("Used for worked hours")
							}]

						}
					}
				]
			}]
		}];
	}
});
