import {
	BaseEntity,
	ComboBox,
	ComboBoxConfig,
	ComboBoxDefaultRenderer,
	ComboBoxStoreConfig,
	createComponent,
	t
} from "@intermesh/goui";
import {jmapds} from "@intermesh/groupoffice-core";

interface Activity extends BaseEntity {
    name:string,
}

export class ActivityCombo extends ComboBox {

    constructor(storeConfig:ComboBoxStoreConfig = {queryParams: {
		    limit: 50
	    }}) {

        super(jmapds<Activity>("Activity"), "name", "id", ComboBoxDefaultRenderer, storeConfig);

        this.label = t("Activity", "business", "business");
        this.name = "activityId";
        this.filterName = "text";
    }
}

export const activitycombo = (config?: Omit<ComboBoxConfig<ActivityCombo>, "dataSource">) => {
	return createComponent(new ActivityCombo(config && config.storeConfig ? config.storeConfig : {queryParams: {limit: 50}}), config);
}