import {BaseEntity, column, DataSourceStore, datasourcestore, EntityID, t, Table} from "@intermesh/goui";
import {JmapDataSource, jmapds} from "@intermesh/groupoffice-core";

interface Activity extends BaseEntity {
    type: number,
    code?: string,
    name: string,
    id: EntityID

}
export class ActivityTable extends Table<DataSourceStore<JmapDataSource<Activity>>> {
    constructor() {
        const store = datasourcestore<JmapDataSource<Activity>, Activity>({
            dataSource: jmapds("Activity"),
            queryParams: {
                limit: 20,
                filter: {
                    type: {
                        type: 1
                    },
                    disabled: {
                        disabled: false
                    }
                },
                sort: [{property: "name", isAscending: true}]
            },
        });

        const columns = [

            column({
                header: t("Name"),
                id:"name",
                resizable: true,
                width: 312,
                sortable: true
            }),
            column({
                header: t("Code"),
                id:"code",
                resizable: true,
                width: 60,
                sortable: true
            })

        ];

        super(store, columns );
    }
}
