import {
	BaseEntity,
	ComboBox,
	ComboBoxConfig,
	ComboBoxDefaultRenderer,
	Config,
	createComponent,
	t
} from "@intermesh/goui";
import {jmapds} from "@intermesh/groupoffice-core";

interface Business extends BaseEntity {
	name:string
}

export class BusinessCombo extends ComboBox {

	constructor(selectFirst:boolean) {

		super(jmapds<Business>("Business"), "name", "id", ComboBoxDefaultRenderer,{
			queryParams: {
				limit: 50
			}
		}, {}, selectFirst);

		this.label = t("Business", "business", "business");
		this.name = "businessId";
		this.filterName = "text";
	}
}

export const businesscombo = (config?: Config<BusinessCombo> & {selectFirst: boolean}) => createComponent(new BusinessCombo(config?.selectFirst ?? false), config);