import {
	AutocompleteEventMap,
	AutocompleteField,
	btn,
	Config,
	createComponent,
	Field,
	listStoreType,
	storeRecordType,
	t
} from "@intermesh/goui";
import {EmployeeTable} from "./EmployeeTable.js";
import {jmapds} from "@intermesh/groupoffice-core";

export class EmployeeCombo extends AutocompleteField<EmployeeTable> {

	pickerRecordToValue(field: this, record: storeRecordType<listStoreType<EmployeeTable>>) {
		return record.id;
	}

	async valueToTextField(field: this, value: string): Promise<string> {
		const entityStore = jmapds("Principal");
		const nb = await entityStore.single(value);

		return nb ? nb.name : "?";
	}

	constructor() {
		super(new EmployeeTable());


		//this.list.store.setFilter("employee", {isEmployee: true});

		this.label = t("Employee", "business", "business");
		this.name = "employeeId";

		this.on("autocomplete", async ( {input}) => {
			this.list.store.setFilter("search", {text: input});
			await this.list.store.load();
		});

		// if(this.required) {
		// 	this.buttons = [btn({
		// 		icon: "clear",
		// 		type: "button",
		// 		handler: (btn) => {
		// 			(btn.parent!.parent! as Field).value = undefined;
		// 		}
		// 	})];
		// }
	}

}

export const employeecombo = (config?: Config<EmployeeCombo>) => createComponent(new EmployeeCombo(), config);