<?php

declare(strict_types=1);

namespace easybill\eInvoicing\Enums;

enum ElectronicAddressScheme: string
{
    case SYSTEM_INFORMATION_ET_REPERTOIRE_DES_ENTREPRISE_ET_DES_ETABL = '0002';
    case ORGANISATIONS_NUMMER = '0007';
    case SIRET_CODE = '0009';
    case LY_TUNNUS = '0037';
    case DATA_UNIVERSAL_NUMBERING_SYSTEM_DUNS_NUMBER = '0060';
    case EAN_LOCATION_CODE = '0088';
    case DANISH_CHAMBER_OF_COMMERCE_SCHEME_EDIRA_COMPLIANT = '0096';
    case FTI_EDIFORUM_ITALIA_EDIRA_COMPLIANT = '0097';
    case VERENIGING_VAN_KAMERS_VAN_KOOPHANDEL_EN_FABRIEKEN_IN_NEDERLA = '0106';
    case DIRECTORATES_OF_THE_EUROPEAN_COMMISSION = '0130';
    case SIA_OBJECT_IDENTIFIERS = '0135';
    case SECETI_OBJECT_IDENTIFIERS = '0142';
    case AUSTRALIAN_BUSINESS_NUMBER_ABN_SCHEME = '0151';
    case NUMROD_IDENTIFICATION_SUISSE_DES_ENTERPRISES_IDE_SWISS_UNI = '0183';
    case DIGSTORG = '0184';
    case DUTCH_ORIGINATOR_S_IDENTIFICATION_NUMBER = '0190';
    case CENTRE_OF_REGISTERS_AND_INFORMATION_SYSTEMS_OF_THE_MINISTRY_ = '0191';
    case ENHETSREGISTERET_VED_BRONNOYSUNDREGISTERNE = '0192';
    case UBL_BE_PARTY_IDENTIFIER = '0193';
    case KOIOS_OPEN_TECHNICAL_DICTIONARY = '0194';
    case SINGAPORE_UEN_IDENTIFIER = '0195';
    case KENNITALA_ICELAND_LEGAL_ID_FOR_INDIVIDUALS_AND_LEGAL_ENTITIE = '0196';
    case ERSTORG = '0198';
    case GLOBAL_LEGAL_ENTITY_IDENTIFIER_GLEIF = '0199';
    case LEGAL_ENTITY_CODE_LITHUANIA = '0200';
    case CODICE_UNIVOCO_UNIT_ORGANIZZATIVA_IPA = '0201';
    case INDIRIZZO_DI_POSTA_ELETTRONICA_CERTIFICATA = '0202';
    case EDELIVERY_NETWORK_PARTICIPANT_IDENTIFIER = '0203';
    case LEITWEG_ID = '0204';
    case NUMERO_D_ENTREPRISE_ONDERNEMINGSNUMMER_UNTERNEHMENSNUMMER = '0208';
    case GS1_IDENTIFICATION_KEYS = '0209';
    case CODICE_FISCALE = '0210';
    case PARTITA_IVA = '0211';
    case FINNISH_ORGANIZATION_IDENTIFIER = '0212';
    case FINNISH_ORGANIZATION_VALUE_ADD_TAX_IDENTIFIER = '0213';
    case DANISH_MINISTRY_OF_THE_INTERIOR_AND_HEALTH = '9901';
    case UFFICIO_RESPONSABILE_GESTIONE_PARTITE_IVA = '9906';
    case TAX_AUTHORITY = '9907';
    case HUNGARY_VAT_NUMBER = '9910';
    case BUSINESS_REGISTERS_NETWORK = '9913';
    case OESTERREICHISCHE_UMSATZSTEUER_IDENTIFIKATIONSNUMMER = '9914';
    case OESTERREICHISCHES_VERWALTUNGS_BZW_ORGANISATIONSKENNZEICHEN = '9915';
    case SOCIETY_FOR_WORLDWIDE_INTERBANK_FINANCIAL_TELECOMMUNICATION_ = '9918';
    case KENNZIFFER_DES_UNTERNEHMENSREGISTERS = '9919';
    case AGENCIA_ESPA_OLA_DE_ADMINISTRACI_N_TRIBUTARIA = '9920';
    case ANDORRA_VAT_NUMBER = '9922';
    case ALBANIA_VAT_NUMBER = '9923';
    case BOSNIA_AND_HERZEGOVINA_VAT_NUMBER = '9924';
    case BELGIUM_VAT_NUMBER = '9925';
    case BULGARIA_VAT_NUMBER = '9926';
    case SWITZERLAND_VAT_NUMBER = '9927';
    case CYPRUS_VAT_NUMBER = '9928';
    case CZECH_REPUBLIC_VAT_NUMBER = '9929';
    case GERMANY_VAT_NUMBER = '9930';
    case ESTONIA_VAT_NUMBER = '9931';
    case UNITED_KINGDOM_VAT_NUMBER = '9932';
    case GREECE_VAT_NUMBER = '9933';
    case CROATIA_VAT_NUMBER = '9934';
    case IRELAND_VAT_NUMBER = '9935';
    case LIECHTENSTEIN_VAT_NUMBER = '9936';
    case LITHUANIA_VAT_NUMBER = '9937';
    case LUXEMBURG_VAT_NUMBER = '9938';
    case LATVIA_VAT_NUMBER = '9939';
    case MONACO_VAT_NUMBER = '9940';
    case MONTENEGRO_VAT_NUMBER = '9941';
    case MACEDONIA_THE_FORMER_YUGOSLAV_REPUBLIC_OF_VAT_NUMBER = '9942';
    case MALTA_VAT_NUMBER = '9943';
    case NETHERLANDS_VAT_NUMBER = '9944';
    case POLAND_VAT_NUMBER = '9945';
    case PORTUGAL_VAT_NUMBER = '9946';
    case ROMANIA_VAT_NUMBER = '9947';
    case SERBIA_VAT_NUMBER = '9948';
    case SLOVENIA_VAT_NUMBER = '9949';
    case SLOVAKIA_VAT_NUMBER = '9950';
    case SAN_MARINO_VAT_NUMBER = '9951';
    case TURKEY_VAT_NUMBER = '9952';
    case HOLY_SEE_VATICAN_CITY_STATE_VAT_NUMBER = '9953';
    case SWEDISH_VAT_NUMBER = '9955';
    case FRENCH_VAT_NUMBER = '9957';
    case OFTP_ODETTE_FILE_TRANSFER_PROTOCOL = 'AN';
    case X_400_ADDRESS_FOR_MAIL_TEXT = 'AQ';
    case AS2_EXCHANGE = 'AS';
    case FILE_TRANSFER_PROTOCOL = 'AU';
    case ELECTRONIC_MAIL = 'EM';
}
