import {
	column,
	Config,
	createComponent,
	datasourcestore,
	DataSourceStore,
	ListEventMap,
	t,
	Table
} from "@intermesh/goui";
import {jmapds} from "@intermesh/groupoffice-core";

export class ProjectBookTable extends Table<DataSourceStore> {
	constructor() {

		const store = datasourcestore({
			dataSource: jmapds("ProjectBook"),
			queryParams: {
				limit: 20,
				filter: {
				}
			},
			sort: [{property: "name", isAscending: true}],
			listeners:{
				load: () => {
					let record = store.find((value, index, obj) => {
						return value.isVisible;
					});

					if(!record) {
						record = store.first();
					}

					if(record) {
						this.rowSelection!.add(record);


					}
				}
			}
		});

		const columns = [
			column({
				header: t("Name"),
				id:"name",
				resizable: true,
				sortable: true
			})
		];
		
		super(store, columns );

		this.rowSelectionConfig =  {
			multiSelect: true
		};

		this.headers = true;

	}
}

export const projectbooktable = (config?: Config<ProjectBookTable>) => createComponent(new ProjectBookTable(), config);