import {
	arrayfield,
	ArrayField,
	btn,
	colorfield,
	ComboBox,
	combobox,
	containerfield,
	fieldset,
	t,
	tbar,
	textfield
} from "@intermesh/goui";
import {FormWindow, jmapds} from "@intermesh/groupoffice-core";
import {businesscombo} from "@intermesh/business/business";

export class ProjectBookWindow extends FormWindow {

	constructor() {
		super("ProjectBook");

		this.title = t("Project book");
		// this.stateId = "project-book-dialog";
		this.maximizable = true;

		this.height = 600;
		this.width = 600;

		this.generalTab.items.add(

			fieldset({},
				businesscombo({
					selectFirst: true
				}),

				textfield({
					flex: 2,
					name: "name",
					label: t("Name"),
					required: true
				}),

				combobox({
					dataSource: jmapds("TaskList"),
					name: "tasklistId",
					label: t("Task list", "community", "tasks"),
					placeholder: t("User default"),
					buttons:[
						btn({
							icon: "clear",
							handler: (btn) => {
								const combo = btn.findAncestorByType(ComboBox)!
								combo.value = "";
							}
						})
					]
				})
			)
		);

		this.cards.items.add(this.createStatusPanel());

		this.addSharePanel();
	}

	private createStatusPanel() {
		return fieldset({
			cls: "scroll fit",
			title: t("Statuses")
		},

			arrayfield({
				name: "statuses",
				buildField: value => {
					return containerfield({cls: "hbox gap"},
						textfield({
							label: t("Name"),
							flex: 1,
							name: "name"
						}),
						colorfield({
							label: t("Color"),
							flex: 1,
							name: "color"
						}),
						btn({
							icon: "delete",
							handler: (btn) => {
								btn.parent!.remove();
							}
						})
						);
				}
			}),

			tbar({},
				'->',
				btn({
					icon: "add",
					cls: "outlined",
					text: "Add new value",
					handler: () => {
						const arrayField = this.form.findField("statuses") as ArrayField;
						arrayField.addValue({});
					}
				})
			)

			);
	}

}


