import {
	ArrayField, ArrayUtil,
	btn,
	Sortable, ContainerField,
	containerfield,
	t, textfield
} from "@intermesh/goui";

export class ProjectMilestones extends ArrayField {

	constructor() {
		super(() => {
			const field = containerfield({
					cls: "group",
				},

				textfield({
					flex: 1,
					label: t("Name"),
					name: "name",
				}),

				btn({
					icon: "delete",
					title: "Delete",
					handler: (btn) => {
						field.remove();
					}
				}),

				btn({
					cls: "handle",
					icon: "drag_handle",
					title: "Sort",
					listeners: {
						render: ({target}) => {
							target.el.addEventListener("mousedown", () => {
								const row = target.findAncestorByType(ContainerField)!
								row.el.draggable = true;
							})

							target.el.addEventListener("mouseup", () => {
								const row = target.findAncestorByType(ContainerField)!
								row.el.draggable = false;
							})
						}
					}
				})

			);

			return field;
		});

		this.name = "milestones";

		this.on("render", ({target}) => {

			const sortable = new Sortable(target, ".group");

			sortable.on("sort", ( {fromIndex, toIndex}) => {
				target.value = ArrayUtil.move(target.value, fromIndex, toIndex);
			})

		});

	}
}