import {t, Window} from "@intermesh/goui";
import {client} from "@intermesh/groupoffice-core";

Ext.onReady(function() {

	if(GO.projects2 && GO.projects2.MainPanel) {

		Ext.override(GO.projects2.MainPanel, {
			initComponent: GO.projects2.MainPanel.prototype.initComponent.createSequence(function (this:any) {

				this.projectsGrid.getTopToolbar().add({
					cls: "accent",
					text: "Migrate!",
					handler: async function() {

						const confirmed = await Window.confirm(t("Are you sure you want to migrate all projects to projects v3?"));

						if(confirmed) {
							try {
								const r = await client.jmap("Project3/migratev2");

								void Window.alert(t("The migration has started in the background"), t("Migration started"))
							} catch(e:any) {
								void Window.error(e);
							}

						}

					}
				})

			})
		});
	}
});