create table business_registration_registration
(
    id                    int(11) unsigned auto_increment
        primary key,
    employeeId            int                                          not null,
    taskId                int(11) unsigned                             null,
    projectId             int(11) unsigned                             null,
    activityId            int unsigned                                 not null,
    createdBy             int                                          not null,
    createdAt             datetime         default current_timestamp() not null,
    modifiedBy            int                                          null,
    modifiedAt            datetime                                     null,
    distance              int(11) unsigned default 0                   null,
    status                tinyint unsigned                             not null,
    startDate             date                                         not null,
    endDate               date                                         not null,
    startTime             time                                         null,
    bookedMinutes         int(11) unsigned                             not null,
    holidayUnits          int(11) unsigned default 0                   not null,
    comment               text                                         null,
    seriesId              char(36)                                     null,
    hourlyCosts           decimal(6, 2)                                not null,
    hourlyRevenue         decimal(6, 2)                                not null,
    invoiceId             bigint unsigned                                 null,
    billable boolean default false not null,
    billed bool default false not null,

constraint business_registration_project3_id_fk
        foreign key (projectId) references business_projects3_project3 (id)
            on delete cascade,
    constraint business_registration_registration_ibfk_1
        foreign key (employeeId) references core_user (id)
            on delete cascade,
    constraint business_registration_registration_ibfk_2
        foreign key (createdBy) references core_user (id)
            on delete cascade,
    constraint business_registration_registration_ibfk_3
        foreign key (modifiedBy) references core_user (id)
            on delete cascade,
    constraint business_registration_registration_ibfk_4
        foreign key (activityId) references business_activity (id)
);

create index activityId
    on business_registration_registration (activityId);

create index employeeId
    on business_registration_registration (employeeId);

create index projectId
    on business_registration_registration (projectId);

create index seriesId
    on business_registration_registration (seriesId);


create index taskId
    on business_registration_registration (taskId);

create table business_registration_registration_custom_fields
(
    id int(11) unsigned not null
        primary key,
    constraint business_registration_registration_cf_ibfk_1
        foreign key (id) references business_registration_registration (id)
            on delete cascade
);

alter table business_registration_registration
    add constraint business_registration_finance_document
        foreign key (invoiceId) references business_finance_document (id)
            on delete set null;