import {
	btn, Button,
	comp,
	Component,
	DateTime,
	DefaultEntity,
	Menu,
	menu,
	Notifier,
	radio,
	RadioField,
	t,
	tbar,
	WeekPicker,
	weekpicker,
	monthpicker,
	MonthPicker,
	Window,
	Window as GouiWindow
} from "@intermesh/goui";
import {AgreementRecord, ColumnView, ViewMode} from './ColumnView.js';
import {EmployeeCombo, employeecombo} from "@intermesh/business/business";
import {client, jmapds, modules, router, User} from "@intermesh/groupoffice-core";
import {ReportWindow} from "./ReportWindow";

export class MainColumnView extends Component {
	private timeEntryGrid!: ColumnView;

	// private isManager: boolean;
	private date = new DateTime();

	readonly employeeCombo: EmployeeCombo;
	public readonly viewModeRadioGrp: RadioField;
	private periodPaginator: Component;
	private closeBtn?: Component;
	private exportMenu?: Component;
	private user: User|undefined;
	private weekPicker: WeekPicker;
	private periodButton: Button;
	private monthPicker: MonthPicker;


	constructor() {
		super("section");
		let isManager = false;
		this.date.setHours(0).setMinutes(0).setSeconds(0);
		this.cls = "hbox fit";
		this.on("render", () => {

				// if (!client.user.employee && !client.user.isAdmin) {
				// 	Notifier.error(t("You are not an employee. Please contact your administrator."));
				// } else {
				// 	// this.setEmployeeData(client.user);
				// 	// this.afterChangePeriod();
				//
				// 	this.employeeCombo.value = client.user.id;
				// 	this.setEmployeeData(client.user);
				// 	this.updateTimeEntryStores(this.viewMode);
				//
				// 	this.updatePeriodLabels();
				//
				// 	// This loads the entire stores for the time entry grid!
				// 	isManager = (client.user.isAdmin || (client.user.employee && client.user!.employee.subjects.length > 0));
				// 	this.timeEntryGrid.isManager = isManager;
				// 	// if (isManager) {
				// 	// 	this.employeeCombo.value = client.user.id;
				// 	// 	this.employeeCombo.show();
				// 	// }
				// }

			this.updateTimeEntryStores(this.viewMode);

			this.updatePeriodLabels();

		});
		//
		// this.on("show" , () => {
		// 	this.afterChangePeriod()
		// })

		this.periodPaginator = comp({cls: "group"},
			btn({
				icon: "chevron_left",
				handler: (_button, _ev) => {
					if (this.viewMode === "week") {
						this.addWeek(-1);
					} else {
						this.addMonth(-1);
					}
				}
			}),
			btn({
				handler: (_button, _ev) => {
					this.date = new DateTime();
					this.afterChangePeriod()
				},
				text: t("Today"),
				flex: 1
			}),
			btn({
				icon: "chevron_right",
				handler: (_button, _ev) => {
					if (this.viewMode === "week") {
						this.addWeek(1)
					} else {
						this.addMonth(1);
					}
				}
			})
		);

		this.exportMenu = btn({
			icon: 'cloud_download',
			text: t("Export"),
			menu: menu({},
				// btn({
				// 	text: t("PDF"),
				// 	icon: "picture_as_pdf",
				// 	handler: (_btn) => {
				// 		Notifier.notice("TODO");
				// 	}
				// }),
				btn({
					text: t("Microsoft Excel"),
					icon: "unknown_document",
					handler: (_btn) => {
						go.util.exportToFile(
							'Registration',
							{filter: this.timeEntryGrid.store.queryParams.filter},
							'xlsx');
					}
				}),
				btn({
					text: t("Comma Separated Values"),
					icon: "csv",
					handler: (_btn) => {
						go.util.exportToFile(
							'Registration',
							{filter: this.timeEntryGrid.store.queryParams.filter},
							'csv');
					}
				}),


			)
		});
		this.items.add(
			// comp({
			// 		flex: 1, cls: "hbox mobile-cards"
			// 	},
			//
			// 		comp({
			// 			width: 312
			// 		},
			// 		datepicker({
			// 			listeners: {
			// 				select:(datepicker1, date) => {
			//
			// 					if(date) {
			// 						this.date = date;
			// 						this.afterChangePeriod()
			// 					}
			// 				}
			// 			}
			// 		}),
			//
			//
			// 	),
				comp({
						flex: 1,
						cls: "fit vbox"
					}, tbar({},


							this.periodButton = btn({
								cls: "period-label",
								html: "<span></span>",
								menu: menu({cls: "scroll"},
									this.weekPicker = weekpicker({
										value: this.date,
										listeners: {
											select: ({target, date}) => {
												this.date = date!;
												this.afterChangePeriod();
												target.findAncestorByType(Menu)!.hide();
											}
										}
									}),
									this.monthPicker = monthpicker({
										hidden: true,
										value: this.date,
										listeners: {
											select: ( {target, date}) =>{
												this.date = date!;
												this.afterChangePeriod();
												target.findAncestorByType(Menu)!.hide();
											}
										}
									})
								)
							}),

							this.employeeCombo = employeecombo({
								required: true,
								label: undefined,
								hidden: !modules.get("business", "registration")!.userRights.mayManage,
								listeners: {
									setvalue: async ( {newValue}) => {
										const selectedUser = (await jmapds<User>("User").single(newValue))!;
										this.setEmployeeData(selectedUser);

										router.setPath("registration" , router.getParams()[0], router.getParams()[1], newValue);
									},
									select: () => {
										this.updateTimeEntryStores(this.viewMode);
									}
								}
							}),

							comp({flex:1, style: {display: "flex", alignItems:"center", justifyContent: "center"}},

								this.viewModeRadioGrp = radio({
									type: "button",
									name: "gridView",
									value: "week",
									listeners: {
										change: ( {newValue}) => {

											if(newValue == "list") {
												router.goto("registration" , newValue, router.getParams()[1], router.getParams()[2]);
											} else {
												router.setPath("registration" , newValue, router.getParams()[1], router.getParams()[2]);
											}
										},
										setvalue: field => {
											this.afterChangePeriod();
										}
									},
									options: [
										{
											text: t("Week"),
											icon: "view_week",
											value: "week"
										},
										{
											text: t("Month"),
											icon: "view_module",
											value: "month"
										},
										{
											text: t("List"),
											value: "list",
											icon: "list"

										}
									]
								}),
							),


							comp({flex: 1, cls: "hbox"},
								comp({flex: 1}),

							// this.weekIsClosedFld = comp({
							// 	text: t("This period is closed", "business", "registration"),
							// 	hidden: true
							// }),
							// "->",

							// this.leaveBtn = btn({
							// 	cls: "filled",
							// 	text: t("Add Holiday", "business", "registration"),
							// 	icon: "beach_access",
							// 	handler: () => {
							// 		Notifier.notice(t("Work in progress"));
							// 	}
							// }),
							// this.timerBtn = btn({
							// 	cls: "filled",
							// 	text: t("Start timer", "business", "projects3"),
							// 	icon: "alarm_on",
							// 	handler: () => {
							// 		Notifier.notice(t("Work in progress"));
							// 	}
							// }),
							this.periodPaginator,
							btn({
								icon: "more_vert",
								menu: menu({
									},
									this.closeBtn = btn({
										icon: "lock",
										text: t("Close week", "business", "registration"),
										handler: () => {
											const employeeUserId = this.timeEntryGrid.employeeId + "";
											let periodEnd = DateTime.createFromFormat(this.date!.format("Y-m-d"), "Y-m-d", this.date!.timezone);
											if (this.viewMode === "week") {
												periodEnd!.addDays(7);
											} else {
												periodEnd!.addMonths(1).setDate(1);
											}
											let data = {
												id: employeeUserId,
												employee: {
													timeClosedUntil: periodEnd!.format("Y-m-d")
												}
											}
											jmapds("User").update(employeeUserId, data).then(() => {
												this.updateTimeEntryStores(this.viewMode);
											}).catch((reason) => {
												Notifier.error((reason.message ? reason.message : t("Unknown error")));
											});
										}
									}),

									btn({
										icon: "content_copy",
										text: t("Copy to next week", "business", "registration"),
										handler: () => {
											let numFail = 0, p: Promise<void | DefaultEntity>[] = [];
											this.timeEntryGrid.store.data.forEach((record) => {
												let newEntry: Partial<DefaultEntity> = record;
												delete newEntry.id;
												delete newEntry.projectName;
												delete newEntry.createdAt;
												delete newEntry.createdBy;
												delete newEntry.modifiedAt;
												delete newEntry.modifiedBy;
												delete newEntry.project;
												delete newEntry.uuid;
												delete newEntry.invoiceId;
												let date = new DateTime(newEntry.startDate);
												date.addDays(7);
												newEntry.startDate = date.format("Y-m-d");
												newEntry.endDate = newEntry.startDate;
												newEntry.status = isManager ? statuses.Approved : statuses.Open;

												p.push(jmapds("Registration").create(newEntry).catch((reason) => {
													numFail++;
													console.warn(reason);
												}));
											});
											Promise.all(p).then(() => {
												if (numFail > 0) {
													GouiWindow.alert(
														t("Some hours weren\'t copied because they already existed in the selected week."),
														t("Warning")
													);
												} else {
													GouiWindow.alert(
														t("Your week has been copied to next week", "registration", "business"),
														t("Success")
													);
												}
											});
										}
									}),
									this.exportMenu,

									"-",

									btn({
										icon: "description",
										text: t("Report"),
										handler: () => {
											const win = new ReportWindow();
											win.show();
										}
									})
								)
							})
						)
					),

					this.timeEntryGrid = new ColumnView(this.date, "week")
				// )
			)
		)
	}

	/**
	 * Gets the current toggle between week and month mode
	 */
	get viewMode(): ViewMode {
		return this.viewModeRadioGrp.value as ViewMode;
	}

	/**
	 * Add or subtract a week to the current date
	 *
	 * @private
	 * @param i number of weeks to add or subtract. A negative number will subtract.
	 */
	private addWeek(i: number): void {
		this.date.addDays(i * 7);
		this.afterChangePeriod();
	}

	/**
	 * Add or subtract a month to the current date
	 *
	 * @private
	 * @param i number of months to add or subtract. A negative number will subtract.
	 */

	private addMonth(i: number): void {
		this.date.addMonths(i);
		this.afterChangePeriod();
	}

	/**
	 * If the date has changes, update all the stores, grids and other elements
	 * @private
	 */
	private afterChangePeriod(): void {

		if(!this.viewModeRadioGrp) {
			return; //happens on first render
		}
		this.updatePeriodLabels();
		this.updateTimeEntryStores(this.viewMode);
	}

	private updatePeriodLabels() {

		let periodLbl = "";
		if (this.viewMode == "week") {

			this.weekPicker.value = this.date;
			this.monthPicker.hide();
			this.weekPicker.show();

			this.closeBtn!.text = t("Close week", "business", "registration");
			const weeknb = this.date.getWeekOfYear();

			periodLbl = '<span class="period">' + t("Week") + " " + weeknb + '</span>';
		} else {
			this.closeBtn!.text = t("Close month", "business", "registration");

			this.monthPicker.show();
			this.weekPicker.hide();
			this.monthPicker.value = this.date;

			periodLbl = '<span class="period">' + this.date.format("F").capitalize() + '</span>';
		}

		periodLbl += '<span class="year">' + this.date.getYear() + "</span>";

		this.periodButton.html = periodLbl;
	}

	async updateTimeEntryStores(v: ViewMode) {

		this.timeEntryGrid.setPeriod(this.date, v);

		const agreementQuery = await jmapds("EmployeeAgreement").query({

			filter:{
				conditions: [{
					employeeId: this.timeEntryGrid.employeeId,
					start: "<=" + this.date.format("Y-m-d"),
				}, {
					operator: "OR",
					conditions:[{
						finish: ">now"
					},{
						finish: null
					}]
				}],
				operator: "AND"
			}
		})


		this.timeEntryGrid.currentAgreement = await jmapds<AgreementRecord>("EmployeeAgreement").single(agreementQuery.ids[0]);
		if(!this.timeEntryGrid.currentAgreement) {
			void Window.error(t("There's no work agreement configured for {displayName}").replace("{displayName}", this.user!.displayName))
			this.timeEntryGrid.disabled = true;
		} else {
			void this.timeEntryGrid.store.load();
			this.timeEntryGrid.disabled = false;
		}
		// client.jmap("business/registration/Registration/leavedays", params).then((response) => {
		// 	if (response.data.currentAgreement) {
		// 		this.timeEntryGrid.currentAgreement = response.data.currentAgreement;
		// 	}
		// 	if (response.data.holidays) {
		// 		this.timeEntryGrid.holidayStore.loadData(response.data.holidays, false);
		// 	}
		// 	if (response.data.leaveDays) {
		// 		this.timeEntryGrid.leavedayStore.loadData(response.data.leaveDays, false);
		// 	}
		//
		// 	// Now, all the data are in place. We load the time entry store at the end. This triggers the redrawing of
		// 	// the time entry view
		// 	this.timeEntryGrid.store.load();
		// });
	}


	/**
	 * As we know the currently selected date and employee data, check whether the week is closed
	 */
	// checkForClosedPeriod() {
	// 	if (client.user!.isAdmin) {
	// 		this.weekIsClosedFld.hidden = true;
	// 		return;
	// 	}
	// 	const employee = client.user!.employee;
	// 	if (!employee.timeClosedUntil) {
	// 		this.weekIsClosedFld.hidden = true;
	// 		return;
	// 	}
	// 	const timeClosedUntil = DateTime.createFromFormat(employee.timeClosedUntil, "Y-m-d");
	// 	this.weekIsClosedFld.hidden = (this.date.date.getTime() > timeClosedUntil!.date.getTime());
	// }

	/**
	 * Upon finding or switching users, set employee data for said user
	 *
	 * @param user
	 */
	setEmployeeData(user: User) {

		this.user = user;

		if(user.employee) {
			if (this.timeEntryGrid.employeeId !== user.employee.id) {
				this.timeEntryGrid.employeeId = user.employee.id;
			}
			if (user.employee.timeClosedUntil) {
				this.timeEntryGrid.closeDate = DateTime.createFromFormat(user.employee.timeClosedUntil, "Y-m-d");
			}
			this.timeEntryGrid.store.setFilter("employeeId", {employeeId: user.employee.id});
		}
	}
}

/**
 * Get the monday for the first week of the given year
 *
 * @param dt :DateTime
 * @return DateTime
 */
export function getFirstMonday(dt: DateTime): DateTime {
	dt.setMonth(1).setDate(1); // 1 january
	const dow = dt.getDay();
	dt.addDays(-dow + 1);
	return dt;
}

export const statuses = {
	Open: 0,
	Approved: 1,
	Rejected: 2
};