<?php
namespace {namespace}\model;

use go\core\db\Criteria;
use go\core\acl\model\AclItemEntity;
use go\core\model\Acl;
use go\core\orm\CustomFieldsTrait;
use go\core\orm\SearchableTrait;
use go\core\data\convert\Spreadsheet;
use go\core\util\DateTime;
use go\core\orm\Mapping;
use go\core\orm\Filters;
use {namespace}\Module;

/**
 * $entity model
 *
 *
 * @copyright (c) {year}, Intermesh BV https://www.intermesh.nl
 * @author {authorName} <{email}>
* @license http://www.gnu.org/licenses/agpl-3.0.html AGPLv3
*/
class {model} extends AclItemEntity
{
    use SearchableTrait;
    use CustomFieldsTrait;

    public ?string $id;

    public ?string ${ownerModelName}Id;

    public ?string $createdBy;

    public \DateTimeInterface $createdAt;

    public ?string $modifiedBy;

    public \DateTimeInterface $modifiedAt;

    public ?string $filesFolderId;

    protected static function defineMapping(): Mapping
    {
        return parent::defineMapping()
            ->addTable("{tablePrefix}_{tableAlias}", "{tableAlias}");
    }

    protected static function aclEntityClass(): string
    {
        return {ownerModel}::class;
    }

    protected static function aclEntityKeys(): array
    {
        return ['{ownerModelName}Id' => 'id'];
    }


    protected function getSearchDescription(): string
    {
        {searchDescriptionFld}
    }

    public function title(): string
    {
        return {searchNameFld} ?? parent::title();
    }

    protected function canCreate(): bool
    {
        return Module::get()->getModel()->hasPermissionLevel(Acl::LEVEL_CREATE);
    }

    protected static function defineFilters(): Filters
    {
        return parent::defineFilters()
            ->add('id', function(Criteria $criteria, $value) {
                if(!empty($value)) {
                    $criteria->where(['id' => $value]);
                }
            })
            ->add('{ownerModelName}Id', function(Criteria $criteria, $value) {
                if(!empty($value)) {
                    $criteria->where(['{ownerModelName}Id' => $value]);
                }
            });
    }

    /**
    * @inheritDoc
    */
    public static function converters(): array
    {
        return array_merge(parent::converters(), [Spreadsheet::class]);
    }
}
