<?php
$updates['202212121708'][] = "alter table business_support_settings
    drop foreign key business_support_settings_tasks_tasklist_id_fk;";

$updates['202212121708'][] = "alter table business_support_settings
    add constraint business_support_settings_tasks_tasklist_id_fk
        foreign key (defaultTaskListId) references tasks_tasklist (id)
            on delete set null;";



$updates['202309191009'][] = "create table business_support_ticket_custom_fields like tasks_task_custom_fields;";
$updates['202309191009'][] = "insert into business_support_ticket_custom_fields select * from tasks_task_custom_fields;";

$updates['202309191009'][] = function() {

	\go\modules\business\support\model\SupportList::entityType();
	\go\modules\business\support\model\SupportTicket::entityType();

	$fieldSets = \go\core\model\FieldSet::findByEntity("Task");

	foreach($fieldSets as $fieldSet) {
		$newFieldSet = $fieldSet->copy();
		$newFieldSet->setEntity("SupportTicket");
		if(!$newFieldSet->save()) {
			throw new \go\core\orm\exception\SaveException($newFieldSet);
		}

		$fields = \go\core\model\Field::find()->where('fieldSetId', '=', $fieldSet->id);
		foreach($fields as $field) {
			$newField = $field->copy();
			$newField->skipAlterTable = true;
			$newField->fieldSetId = $newFieldSet->id;
			if(!$newField->save()) {
				throw new \go\core\orm\exception\SaveException($newField);
			}
		}
	}
};


$updates['202309191009'][] = "update comments_comment
set entityTypeId = (select id from core_entity where name='SupportTicket')
where entityTypeId = (select id from core_entity where name='Task')
and  entityId in (select t.id from tasks_task t inner join tasks_tasklist l on t.tasklistId = l.id where l.role=4)";


$updates['202309191009'][] = "update core_link
set fromEntityTypeId = (select id from core_entity where name='SupportTicket')
where fromEntityTypeId = (select id from core_entity where name='Task')
  and  core_link.fromId in (select t.id from tasks_task t inner join tasks_tasklist l on t.tasklistId = l.id where l.role=4)";

$updates['202309191009'][] = "update core_link
set toEntityTypeId = (select id from core_entity where name='SupportTicket')
where toEntityTypeId = (select id from core_entity where name='Task')
  and  core_link.toId in (select t.id from tasks_task t inner join tasks_tasklist l on t.tasklistId = l.id where l.role=4)";

$updates['202309191009'][] = "update ignore core_search
set entityTypeId = (select id from core_entity where name='SupportTicket')
where entityTypeId = (select id from core_entity where name='Task')
  and  core_search.entityId in (select t.id from tasks_task t inner join tasks_tasklist l on t.tasklistId = l.id where l.role=4)";


$updates['202311021355'][] = "create table business_support_ticket
(
	id int unsigned not null,
    cc text         null,
    constraint business_support_ticket_pk
        primary key (id),
    constraint business_support_ticket_tasks_task_id_fk
        foreign key (id) references tasks_task (id)
            on delete cascade
);";

$updates['202406261145'][] = "ALTER TABLE `business_support_settings` ADD `expireDays` INT UNSIGNED NOT NULL DEFAULT 0";
$updates['202406261145'][] = function() {
	\go\modules\business\support\cron\AutoExpire::install('0 2 * * *');
};

$updates['202406271000'][] = "ALTER TABLE `business_support_settings` ADD `sendExpireFeedback` " .
	"ENUM('none', 'private', 'public') DEFAULT 'none' AFTER `expireDays`;";

$updates['202406271045'][] = "ALTER TABLE `business_support_settings` ADD `expiryText` TEXT NULL DEFAULT NULL AFTER `sendExpireFeedback`;";

$updates['202406281130'][] = "ALTER TABLE `business_support_settings` ADD `excludeCategories` VARCHAR(191) NULL DEFAULT NULL AFTER `expiryText`;";

$updates['202407021040'][] = "ALTER TABLE `business_support_settings` ADD `excludeLists` VARCHAR(191) NULL DEFAULT NULL AFTER `excludeCategories`;";

