import { Component } from "./Component";
import { Config } from "./Observable";
/**
 * Tooltip component
 *
 * @example TIP: For long HTML tooltips use the render event:
 * ```
 * tooltip({
 * 	listeners: {'render': (me) => {me.html = 'Long text'}},
 * 	target: someDiv
 * });
 * ```
 */
export declare class ToolTip extends Component {
    renderTo?: HTMLElement | undefined;
    /**
     * Tooltip shows with a delay in ms
     */
    delay: number;
    closeDelay: number;
    private timeout;
    private closeTimeout;
    private observer;
    private targetEl?;
    constructor();
    set target(targetEl: HTMLElement);
    protected internalRender(): HTMLElement;
    protected internalRemove(): void;
    private open;
    private close;
    private align;
}
/**
 * Creates as {@link ToolTip} Component
 *
 * @param config
 *
 * @example
 * ```
 * tooltip({
 * 	text: "Hi I am the tooltip",
 * 	target: cmp.el
 * });
 * ```
 */
export declare const tooltip: (config?: Config<ToolTip>) => ToolTip;
//# sourceMappingURL=ToolTip.d.ts.map