import { TableColumn } from "@intermesh/goui";
import { JmapDataSource } from "./jmap/index";
import { AclItemEntity, AclOwnerEntity } from "./auth/index";
export interface FieldSet extends AclOwnerEntity {
    name: string;
    entity: string;
    showAsTab: boolean;
}
export interface Field extends AclItemEntity {
    fieldSetId: string;
    name: string;
    databaseName: string;
    type: string;
    hiddenInGrid: boolean;
    required: boolean;
    hint?: string;
}
export declare const fieldSetDS: JmapDataSource<FieldSet>;
export declare const fieldDS: JmapDataSource<Field>;
declare class CustomFields {
    private fieldSets;
    private fields;
    init(): Promise<void>;
    getEntityFields(entity: string): Field[];
    private tableColumnCreators;
    private getDefaultColumnConfig;
    private fieldToTableColumn;
    getTableColumns(entity: string): TableColumn[];
}
export declare const customFields: CustomFields;
export {};
//# sourceMappingURL=CustomFields.d.ts.map