import { EntityLink } from "./Modules.js";
import { EntityID } from "@intermesh/goui";
export interface Entity {
    name: string;
    defaultAcl: Record<string, number>;
    isAclOwner: boolean;
    supportsCustomFields: boolean;
    supportsFiles: boolean;
    links: LinkConfig[];
    goto: (id: EntityID) => void;
}
export interface LinkConfig extends EntityLink {
    title: string;
    entity: string;
}
declare class Entities {
    private entities?;
    get(name: string): Entity;
    getAll(): Entity[];
    /**
     * Get link configurations as defined in Module.js with go.Modules.register();
     */
    getLinkConfigs(): LinkConfig[];
    getLinkConfig(entity: string, filter?: string): LinkConfig | undefined;
}
export declare const entities: Entities;
export {};
//# sourceMappingURL=Entities.d.ts.map