import { BaseEntity, DefaultEntity, EntityID } from "@intermesh/goui";
import { JmapDataSource } from "../jmap/index";
export interface User extends AclOwnerEntity {
    username?: string;
    displayName?: string;
    profile?: any;
    email?: string;
    dateFormat: string;
    timeFormat: string;
    timezone: string;
    avatarId?: string;
    mail_reminders: boolean;
    isAdmin: boolean;
    [key: string]: any;
}
export interface Principal extends DefaultEntity {
    id: string;
    name: string;
    email?: string;
    description?: string;
    timeZone?: string;
    avatarId?: string;
    type: string;
}
/**
 * Access Control List permission levels
 */
export declare enum AclLevel {
    READ = 10,
    CREATE = 20,
    WRITE = 30,
    DELETE = 40,
    MANAGE = 50
}
/**
 * Access Control List
 *
 * Key is the groupId and value is the permission level
 */
export type Acl = Record<EntityID, AclLevel>;
export interface AclItemEntity extends BaseEntity {
    /**
     * The permission level opf the current user
     */
    permissionLevel: AclLevel;
}
export interface AclOwnerEntity extends AclItemEntity {
    /**
     * The Access Control List
     */
    acl: Acl;
}
export declare const userDS: JmapDataSource<User>;
export declare const principalDS: JmapDataSource<Principal>;
//# sourceMappingURL=User.d.ts.map