import { BaseEntity, Component, ComponentEventMap, DefaultEntity, EntityID, Toolbar } from "@intermesh/goui";
export interface DetailPanelEventMap<EntityType extends BaseEntity = DefaultEntity> extends ComponentEventMap {
    /**
     * Fires when entity is loaded
     */
    load: {
        entity: EntityType;
    };
    /**
     * Fires when the panel is reset
     *
     * @param detailPanel
     */
    reset: {};
}
/**
 * Detail panel
 *
 * Used to show an entity when selected in the grid.
 */
export declare abstract class DetailPanel<EntityType extends BaseEntity = DefaultEntity> extends Component<DetailPanelEventMap<EntityType>> {
    entityName: string;
    protected titleCmp?: Component;
    protected entity?: EntityType;
    readonly scroller: Component;
    private detailView;
    readonly toolbar: Toolbar;
    private comments;
    protected constructor(entityName: string);
    private get legacyDetailView();
    protected addCustomFields(): void;
    protected addLinks(): void;
    protected addFiles(): void;
    protected addComments(): void;
    protected addHistory(): void;
    private createToolbar;
    set title(title: string);
    get title(): string;
    load(id: EntityID): Promise<this>;
    private innerLoad;
    reset(): void;
    private legacyOnLoad;
}
//# sourceMappingURL=DetailPanel.d.ts.map