/**
 * @license https://github.com/Intermesh/goui/blob/main/LICENSE MIT License
 * @copyright Copyright 2023 Intermesh BV
 * @author Michael de Hart <mdhart@intermesh.nl>
 */
import { CardContainer, CardContainerEventMap, Component, DateField, DateTime, Form, NumberField } from "@intermesh/goui";
import { Frequency, RecurrenceRule } from "../../util/Recurrence.js";
export interface RecurrencePickerEventMap extends CardContainerEventMap {
    select: {
        rule: RecurrenceRule | null;
    };
}
type FrequencyDefaults = [text: string, plural: string, repeatDefault: number, untilDefault: string, frequencyText: string];
export declare class RecurrencePicker extends CardContainer<RecurrencePickerEventMap> {
    protected baseCls: string;
    form: Form;
    menu: Component;
    weekOfMonth: number;
    startDate: DateTime;
    count: NumberField;
    until: DateField;
    rule: RecurrenceRule | null;
    private readonly weeklyOptions;
    private readonly monthlyOptions;
    static frequencies: {
        [freq: string]: FrequencyDefaults;
    };
    constructor(startDate: DateTime);
    quickMenuItems(): Component<import("@intermesh/goui").ComponentEventMap>[];
    createCustomRule(values: any): RecurrenceRule;
    setStartDate(date: DateTime): void;
    changeFrequency(f: Frequency): void;
    private static suffixText;
    private getSuffix;
    setValue(rrule: RecurrenceRule | null): void;
}
export {};
//# sourceMappingURL=RecurrencePicker.d.ts.map