import { Button, ButtonEventMap } from "./Button";
import { Toolbar } from "./Toolbar";
import { Config, Listener, ObservableListenerOpts } from "./Observable";
import { Component } from "./Component";
export interface OverlayToolbarButtonEventMap<Type> extends ButtonEventMap<Type> {
    open: (btn: Type) => void;
    close: (btn: Type) => void;
}
export interface OverlayToolbarButton extends Button {
    on<K extends keyof OverlayToolbarButtonEventMap<this>, L extends Listener>(eventName: K, listener: Partial<OverlayToolbarButtonEventMap<this>>[K], options?: ObservableListenerOpts): L;
    un<K extends keyof OverlayToolbarButtonEventMap<this>>(eventName: K, listener: Partial<OverlayToolbarButtonEventMap<this>>[K]): boolean;
    fire<K extends keyof OverlayToolbarButtonEventMap<this>>(eventName: K, ...args: Parameters<OverlayToolbarButtonEventMap<Component>[K]>): boolean;
}
export declare class OverlayToolbarButton extends Button {
    private overlayTbar?;
    private mainTbar?;
    constructor();
    handler: (button: Button, ev?: MouseEvent) => void;
    private tbarItemContainer;
    close(): void;
    private closeOnClick;
    protected getOverlayTBar(): Toolbar;
    protected get itemContainerEl(): HTMLElement;
}
/**
 * Shorthand function to create {@link OverlayToolbarButton}
 */
export declare const overlaytoolbarbutton: (config?: Config<OverlayToolbarButton, ButtonEventMap<OverlayToolbarButton>>, ...items: (Component | "->" | "-")[]) => OverlayToolbarButton;
//# sourceMappingURL=OverlayToolbarButton.d.ts.map